Re: Ломаются на Windows XP ProgDVB версии выше 6.95.9

#18
Prog wrote:К слову о древних OS. Столкнулся с тем, что даже /clr:safe c++ сборку нельзя сделать 2.0, тащит net 4.0 хоть ты тресни :( Может я чего не знаю? Хотел хотя бы этот случай без 2008 собирать...
Тут пока сам...у нас все в отпуске по этой теме.

Re: Ломаются на Windows XP ProgDVB версии выше 6.95.9

#19
mikeg wrote:Нельзя ли пояснить, какие изменения были внесены в программу ProgDVB, начиная с версии 6.96? Пробовал запустить на Windows XP SP3 с .NET Framework 3.5 SP1 и картой Skystar2 2.3. На версиях до 6.95.9 включительно всё запускается и работает, а начиная с 6.96 ломается уже на входе и выбрасывает системную ошибку в kernel32.dll. Возможно, Windows XP уже не поддерживается?
Попробуйте эту версию.
http://test.progdvb.com/74/ProgDVB7.05.9.x.Std.exe

Re: Ломаются на Windows XP ProgDVB версии выше 6.95.9

#20
Проверил версию ProgDVB 7.05.9b по указанной ссылке. По крайней мере, грузится без проблем. Всех возможностей не испытывал, но при попытке сканирования спутниковых каналов на транспондере вываливается с ошибкой и рестартует. Лог-файл прилагается.
Attachments
Log.7z
Log
(662 Bytes) Downloaded 120 times

Re: Ломаются на Windows XP ProgDVB версии выше 6.95.9

#22
В принципе даже при просмотре MPEG-2 каналов на ProgDVB загрузка процессора p3 близка к максимальной. Наименьшую загрузку процессора дают AltDVB и программы на основе DVBCore. Есть и некоторые прочие проблемы ProgDVB 6.95.9, не связанные с процессором: в частности не отображается телетекст на каналах Триколор, вроде Россия 1, 24 и пр.

Re: Ломаются на Windows XP ProgDVB версии выше 6.95.9

#24
Prog wrote:К слову о древних OS. Столкнулся с тем, что даже /clr:safe c++ сборку нельзя сделать 2.0, тащит net 4.0 хоть ты тресни :( Может я чего не знаю? Хотел хотя бы этот случай без 2008 собирать...
Поговорил я на эту тему. Эта настройка не визуализирована и меняется в самом проекте - <TargetFrameworkVersion>v4.0</TargetFrameworkVersion> меняй на 3.5.

Re: Ломаются на Windows XP ProgDVB версии выше 6.95.9

#25
Что касается новых версий с отключённой опцией компилятора для SSE2, то загружаются они успешно. Правда похоже, что опция SSE2 была снята только для проекта ProgDvbNet, а для ProgTV осталось, как прежде.
Проблема с новыми версиями, похоже, заключается в следующем. Поскольку у меня установлена достаточно старая версия драйвера Skystar2 4.3.2.9999 (с которой прекрасно работают старые программы вроде того же AltDvb), не поддерживающая Diseq, то ранее я заменял модуль ProgDvb Skystar2.Device на версию 1.11 (API 1.25). С версией ProgDvb 6.95.9 такая конфигурация прекрасно работала и в окне TV Sources зелёным цветом отображались как модуль Skystar2, так и установки LNB и выбранной позиции спутника. Новые же версии требуют переконфигурировать TV Sources, при этом зелёным цветом отображается только модуль Skystar2, а установка LNB и выбранной позиции спутника с помощью интерфейса недоступны, не видно даже соответствующих пунктов меню. Хотя не исключаю, что это может быть каким-то образом задано в файле DiseqTree.ini?
По-видимому, в новых версиях произошли какие-то изменения в использовании модулей, из-за чего в интерфейсе программы соответствующие пункты меню для установок LNB стали недоступны, а при сканировании каналов и стала выскакивать вышеупомянутая ошибка.

Re: Ломаются на Windows XP ProgDVB версии выше 6.95.9

#26
mikeg wrote:а установка LNB и выбранной позиции спутника с помощью интерфейса недоступны
Прочитай внимательно все на вкладке источники и получишь это-
Снимок.JPG
Снимок.JPG (18.89 KiB) Viewed 3831 times
[size=50] Железо: IP Q G2020@2.9, HD7770, 8 RAM, AMD audio, Yamaha RX-V465, LG 42LA790V, Prof 7300,7301, Tevii s470, TBS 6922se. Софт: W7x64, ProgDVBx32. Настройки: prog demux, audio-AC3Filter, WASAPI, video-Custom EVR, Cyberlink13 [/size]

Re: Ломаются на Windows XP ProgDVB версии выше 6.95.9

#30
Карта работает с другими спутниковыми приложениями. С ProgDVB 6.95.9, как я уже писал раньше, тоже работала с небольшими огрехами. А вот с ProgDVB 7.06.4 не удаётся провести правильную установку LNB и спутника, поэтому невозможны ни сканирование, ни просмотр. Судя по снимку, неверно определяется тип модуля Skystar2.Device: соответствующее поле пусто, а должно быть DVB-S. Возможно, ранее какое-то значение типа присваивалось по умолчанию, а в новых версиях это значение изменилось.